Package org.apache.ignite.platform.dotnet

## Class PlatformDotNetLifecycleBean

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.lifecycle.PlatformLifecycleBean
  - - org.apache.ignite.platform.dotnet.PlatformDotNetLifecycleBean

- All Implemented Interfaces:
    `LifecycleBean`

      public class PlatformDotNetLifecycleBean
      extends org.apache.ignite.internal.processors.platform.lifecycle.PlatformLifecycleBean
      implements LifecycleBean

  Lifecycle bean implementation which can be used to configure .Net lifecycle beans in Java Spring configuration.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.internal.processors.platform.lifecycle.PlatformLifecycleBean

      `gate, ptr`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlatformDotNetLifecycleBean()` | Constructor.
    `PlatformDotNetLifecycleBean​(String typName)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​?>` | `getProperties()` | Get properties.
    `String` | `getTypeName()` | Get type name.
    `void` | `setProperties​(Map<String,​?> props)` | Set properties.
    `void` | `setTypeName​(String typName)` | Set type name.

    - ### Methods inherited from class org.apache.ignite.internal.processors.platform.lifecycle.PlatformLifecycleBean

      `initialize, onLifecycleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.lifecycle.LifecycleBean

      `onLifecycleEvent`

- - ### Constructor Detail

    - #### PlatformDotNetLifecycleBean

          public PlatformDotNetLifecycleBean()

      Constructor.

    - #### PlatformDotNetLifecycleBean

          public PlatformDotNetLifecycleBean​(String typName)

      Constructor.
      Parameters:
        `typName` - Type name.

  - ### Method Detail

    - #### getTypeName

          public String getTypeName()

      Get type name.
      Returns:
        Type name.

    - #### setTypeName

          public void setTypeName​(String typName)

      Set type name.
      Parameters:
        `typName` - Type name.

    - #### getProperties

          public Map<String,​?> getProperties()

      Get properties.
      Returns:
        Properties.

    - #### setProperties

          public void setProperties​(Map<String,​?> props)

      Set properties.
      Parameters:
        `props` - Properties.